/* $Workfile: OtxDef.h $   $Revision: 20 $    $Modtime: 11/27/00 5:27p $  */
#ifndef OTX_DEFINITIONS_H
#define OTX_DEFINITIONS_H
/******************************************************************************

  Copyright (C) 1998, 1999 Odin TeleSystems Inc., All Rights Reserved.

  @doc PublicHwApi OtxType

  OTX Generic Hardware Driver API

  @module
  OtxDef | Types used in OTX driver API

  @contents2
  OtxDef.h |

  @index const | OtxDef

  @contents2
  OTX Driver Level Constants |

  @index const | OtxDef

******************************************************************************/

#include "OsaDef.h"

// Cosmetic definitions used to indicate in and out parameters in function signatures
#define IN
#define OUT

#ifdef WIN32
#define OTX_MAX_PATH     _MAX_PATH
#else
#define OTX_MAX_PATH         255
#endif

#define OTX_DEV_NAME_MAX_CB       64


// @const Maximum number of time-slots on a PCM highway. A 2.048 Mbit/s
// highway has 32 64kbit/s time-slots, a 4.096 Mbit/s highway has 64, and 8.192 Mbits/s highway
// has 128 time-slots, respectively. For now, only support 2.048 Mbit/s highways.
// This macro also determines the number of timeslot on the H.100 highways, so for now
// we only support 2.048 Mbit/s H.100 highways
#define OTX_PIPE_TIMESLOTS_MAX    32

// @const Maximum number of PCM highways local to one NIC card.
#define OTX_LOCAL_HIGHWAYS_MAX    16

// @const Maximum number of PCM H100 highways.
#define OTX_H100_HIGHWAYS_MAX    32

// @const Maximum number of total (Local + H.100) PCM highways.
#define OTX_TOTAL_HIGHWAYS_MAX    (OTX_LOCAL_HIGHWAYS_MAX + OTX_H100_HIGHWAYS_MAX)

#define OTX_VARI_SIZE_FIELD              1        // In a variable sized struct, the last field is variable in size, but is declared with only one element.
                                                  // The variable sized struct is usually malloc'ed to it's right size

// @const Maximum number of CT BUS devices
#define OTX_H100_CT_BUS_MAX    16


/*******************************************************************************

  Copyright (C) Odin TeleSystems Inc., 1998, 1999, 2000

  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

*******************************************************************************/

#endif // OTX_DEFINITIONS_H

