/* $Workfile: OtxRawD.h $   $Revision: 3 $    $Modtime: 11/24/99 1:49p $  */
#ifndef OTX_RAWDATA_DEF_H
#define OTX_RAWDATA_DEF_H
/*******************************************************************************

  @doc PublicHwApi OtxRawD

  Copyright (C) 1999 Odin TeleSystems Inc., All Rights Reserved

  OTX Generic Hardware Driver API

  @module                                        
  OtxRawD | Constants, Macros, and Types for the Raw Data Functions

  @contents2
  OtxRawD.h |

  @index enum type struct | OtxRawD

  @contents2
  OTX Raw Data Device Macros, Constants, and Types |

  @head3 OtxRawDataXXX Macro, Constant, and Type Reference |

  @index enum type struct | OtxRawD

*******************************************************************************/

#ifdef __cplusplus
  extern "C" {
#endif

#if 0
#define OTX_RAWDATA_MAX_TX_FRAME_LEN    8192
#define OTX_RAWDATA_MAX_RX_FRAME_LEN    8192
#else // Temporary reduced. Will be brought back to 8192 in future releases
#define OTX_RAWDATA_MAX_TX_FRAME_LEN    2048
//#define OTX_RAWDATA_MAX_RX_FRAME_LEN    2048
#endif


/*---------------------------------------------------------------------------*\
  @enum
    RAWDATA Receiver Event Codes
\*---------------------------------------------------------------------------*/
enum OtxRawDataReceiverEventCodesE {
  OTX_RAWDATA_RECEIVER_EC_DATA_AVAILABLE      = 0x00, // @emem Raw Data is available to be retrieved by calling <f OtxRawDataReadData>
  OTX_RAWDATA_RECEIVER_EC_BUFFER_OVERRUN      = 0x01, // @emem Raw Data Buffer Overrun. The host is too slow retrieving the data from the Raw Data Receiver
  OTX_RAWDATA_RECEIVER_EC_FLAG_FILTERING      = 0x02, // @emem Flag encountered. Filtering incoming data

  OTX_RAWDATA_RECEIVER_END_OF_EVENT_CODES
};

typedef enum OtxRawDataReceiverEventCodesE OtxRawDataReceiverEventCodesE;


/*---------------------------------------------------------------------------*\
  @enum
    RAWDATA Receiver Error Result Codes
\*---------------------------------------------------------------------------*/
enum OtxRawDataReceiverResultCodesE {

  OTX_RAWDATA_RECEIVER_RES_END = OTX_RES_END + 0
};

typedef enum OtxRawDataReceiverResultCodesE OtxRawDataReceiverResultCodesE;



/*---------------------------------------------------------------------------*\
  @enum
    Raw Data Sender Event Codes
\*---------------------------------------------------------------------------*/
enum OtxRawDataSenderEventCodesE {
  OTX_RAWDATA_SENDER_EC_COMPLETED      = 0x00, // @emem  Raw Data completely sent. Now sending flags
  OTX_RAWDATA_SENDER_EC_BUF_DEPLETED   = 0x01, // @emem  Raw Data Sender buffer depleted. Now accepting more data

  OTX_RAWDATA_SENDER_END_OF_EVENT_CODES
};

typedef enum OtxRawDataSenderEventCodesE OtxRawDataSenderEventCodesE;

/*---------------------------------------------------------------------------*\
  @enum
    Raw Data Sender Error Result Codes
\*---------------------------------------------------------------------------*/
enum OtxRawDataSenderResultCodesE {
  OTX_RAWDATA_SENDER_RES_TX_BUSY                  =  OTX_RES_END +  0,  // @emem Transmitter queue is full.
  OTX_RAWDATA_SENDER_RES_FRAME_TOO_LONG           =  OTX_RES_END +  1,  // @emem Data buffer too long.

  OTX_RAWDATA_SENDER_RES_END                      =  OTX_RES_END +  2
};

typedef enum OtxRawDataSenderResultCodesE OtxRawDataSenderResultCodesE;



#ifdef __cplusplus
  } // extern "C"
#endif


/*******************************************************************************

  Copyright (C) Odin TeleSystems Inc., 1999


  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

*******************************************************************************/

#endif // OTX_RAWDATA_DEF_H
